Loading...
Searching...
No Matches
juce::dsp::LadderFilter< SampleType > Class Template Reference

`#include <juce_LadderFilter.h>`

## Public Types

using | Mode = LadderFilterMode

## Public Member Functions

| LadderFilter ()
void | setEnabled (bool isEnabled) noexcept
void | setMode (Mode newMode) noexcept
void | prepare (const ProcessSpec &spec)
size_t | getNumChannels () const noexcept
void | reset () noexcept
void | setCutoffFrequencyHz (SampleType newCutoff) noexcept
void | setResonance (SampleType newResonance) noexcept
void | setDrive (SampleType newDrive) noexcept
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept

## Protected Member Functions

SampleType | processSample (SampleType inputValue, size_t channelToUse) noexcept
void | updateSmoothers () noexcept

## Detailed Description

template<typename SampleType>
class juce::dsp::LadderFilter< SampleType >

Multi-mode filter based on the Moog ladder filter.

Definition at line 45 of file juce_LadderFilter.h.

## Member Typedef Documentation

## Mode

template<typename SampleType>

using juce::dsp::LadderFilter< SampleType >::Mode = LadderFilterMode

Definition at line 49 of file juce_LadderFilter.h.

## Constructor & Destructor Documentation

## LadderFilter()

template<typename SampleType>

juce::dsp::LadderFilter< SampleType >::LadderFilter | ( |  | ) |

Creates an uninitialised filter. Call prepare() before first use.

Definition at line 31 of file juce_LadderFilter.cpp.

## Member Function Documentation

## getNumChannels()

template<typename SampleType>

size_t juce::dsp::LadderFilter< SampleType >::getNumChannels | ( |  | ) | const

inline noexcept

Returns the current number of channels.

Definition at line 65 of file juce_LadderFilter.h.

## prepare()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the filter.

Definition at line 71 of file juce_LadderFilter.cpp.

## process()

template<typename SampleType>
template<typename ProcessContext>

void juce::dsp::LadderFilter< SampleType >::process | ( | const ProcessContext & | context | ) |

inline noexcept

Definition at line 90 of file juce_LadderFilter.h.

## processSample()

template<typename SampleType>

SampleType juce::dsp::LadderFilter< SampleType >::processSample | ( | SampleType | inputValue,
|  | size_t | channelToUse )

protected noexcept

Definition at line 121 of file juce_LadderFilter.cpp.

## reset()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::reset | ( |  | ) |

noexcept

Resets the internal state variables of the filter.

Definition at line 80 of file juce_LadderFilter.cpp.

Referenced by prepare(), and setMode().

## setCutoffFrequencyHz()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::setCutoffFrequencyHz | ( | SampleType | newCutoff | ) |

noexcept

Sets the cutoff frequency of the filter.

Parameters

  newCutoff | cutoff frequency in Hz

Definition at line 91 of file juce_LadderFilter.cpp.

## setDrive()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::setDrive | ( | SampleType | newDrive | ) |

noexcept

Sets the amount of saturation in the filter.

Parameters

  newDrive | saturation amount; it can be any number greater than or equal to one. Higher values result in more distortion.

Definition at line 109 of file juce_LadderFilter.cpp.

Referenced by LadderFilter().

## setEnabled()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::setEnabled | ( | bool | isEnabled | ) |

inline noexcept

Enables or disables the filter. If disabled it will simply pass through the input signal.

Definition at line 56 of file juce_LadderFilter.h.

## setMode()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::setMode | ( | Mode | newMode | ) |

noexcept

Sets filter mode.

Definition at line 44 of file juce_LadderFilter.cpp.

Referenced by LadderFilter().

## setResonance()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::setResonance | ( | SampleType | newResonance | ) |

noexcept

Sets the resonance of the filter.

Parameters

  newResonance | a value between 0 and 1; higher values increase the resonance and can result in self oscillation!

Definition at line 100 of file juce_LadderFilter.cpp.

Referenced by LadderFilter().

## updateSmoothers()

template<typename SampleType>

void juce::dsp::LadderFilter< SampleType >::updateSmoothers | ( |  | ) |

protected noexcept

Definition at line 149 of file juce_LadderFilter.cpp.

The documentation for this class was generated from the following files:

- juce_LadderFilter.h
- juce_LadderFilter.cpp